from django.db import models


class Article(models.Model):
    created_at = models.DateTimeField(auto_now_add=True, verbose_name='Сreated time')
    updated_at = models.DateTimeField(auto_now=True, verbose_name='Updated time')

    title = models.CharField(
        max_length=50,
        null=False,
        blank=False,
        verbose_name="Title"
    )
    body = models.CharField(
        max_length=3000,
        null=False,
        blank=False,
        verbose_name="Body"
    )
    author = models.CharField(
        max_length=25,
        null=False,
        blank=False,
        verbose_name="Author"
    )
    category = models.CharField(
        max_length=25,
        null=False,
        blank=False,
        verbose_name="Category"
    )

    def __str__(self):
        return "{}. {}".format(self.pk, self.title)
